SDL_CreateGPURenderer(3)

NAME
SDL_CreateGPURenderer - Create a 2D GPU rendering context.

SYNOPSIS
#include <SDL3/SDL_render.h>

SDL_Renderer * SDL_CreateGPURenderer(SDL_GPUDevice *device, SDL_Window *window);

DESCRIPTION
The GPU device to use is passed in as a parameter. If this is NULL, then a device will be created normally and can be retrieved using SDL_GetGPURendererDevice().

The window to use is passed in as a parameter. If this is NULL, then this will become an offscreen renderer. In that case, you should call SDL_SetRenderTarget() to setup rendering to a texture, and then call SDL_RenderPresent() normally to complete drawing a frame.

FUNCTION PARAMETERS

device
    the GPU device to use with the renderer, or NULL to create a device.

window
    the window where rendering is displayed, or NULL to create an offscreen renderer.

RETURN VALUE
Returns a valid rendering context or NULL if there was an error; call SDL_GetError() for more information.

THREAD SAFETY
If this function is called with a valid GPU device, it should be called on the thread that created the device. If this function is called with a valid window, it should be called on the thread that created the window.

AVAILABILITY
This function is available since SDL 3.4.0.

SEE ALSO
SDL_CreateRendererWithProperties(3), SDL_GetGPURendererDevice(3), SDL_CreateGPUShader(3), SDL_CreateGPURenderState(3), SDL_SetGPURenderState(3)